[<prev] [next>] [day] [month] [year] [list]
Message-Id: <1348615939-10722-1-git-send-email-daniel.santos@pobox.com>
Date: Tue, 25 Sep 2012 18:32:19 -0500
From: Daniel Santos <daniel.santos@...ox.com>
To: Daniel Santos <daniel.santos@...ox.com>,
Pavel Pisa <pisa@....felk.cvut.cz>,
Richard Weinberger <richard@....at>,
LKML <linux-kernel@...r.kernel.org>,
Michel Lespinasse <walken@...gle.com>,
Andrea Arcangeli <aarcange@...hat.com>,
Peter Zijlstra <a.p.zijlstra@...llo.nl>,
Rik van Riel <riel@...hat.com>
Subject: [PATCH v5 23/25] selftest: Add basic compiler iterator test script
A Gentoo-specific script (to be run by root) to iterate through all
installed compilers, execte runtest.sh script and collect the output
data.
Signed-off-by: Daniel Santos <daniel.santos@...ox.com>
---
tools/testing/selftests/grbtree/user/runtests.sh | 30 ++++++++++++++++++++++
1 files changed, 30 insertions(+), 0 deletions(-)
create mode 100755 tools/testing/selftests/grbtree/user/runtests.sh
diff --git a/tools/testing/selftests/grbtree/user/runtests.sh b/tools/testing/selftests/grbtree/user/runtests.sh
new file mode 100755
index 0000000..0192c10
--- /dev/null
+++ b/tools/testing/selftests/grbtree/user/runtests.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# This script is designed for use on Gentoo systems, using gcc-config to
+# change the compiler and must be run as root. I'm lazy, so alter to fit your
+# system.
+
+user=daniel
+outfile=runtests.$$.out
+
+rm -f runtest.log runtest.out
+
+if [[ -e ${outfile} ]]; then
+ echo "File ${outfile} exists, please move it out of the way."
+ exit
+fi
+
+
+for ((gcc_inst_num = 1; gcc_inst_num < 10; ++gcc_inst_num)); do
+ gcc-config $gcc_inst_num || exit
+ . /etc/profile
+ nice -n -3 sudo -Hu ${user} \
+ key_type=u32 \
+ use_leftmost=1 \
+ use_rightmost=1 \
+ use_count=1 \
+ unique_keys=1 \
+ insert_replaces=0 \
+ ./runtest.sh >> ${outfile}
+
+done
--
1.7.3.4
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists